Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libzip: new aport

From: Andrew Domaszek <brimston3_at_hg0.us>
Date: Wed, 7 Dec 2016 05:30:00 -0500

https://nih.at/libzip
C library for handling zip files
---
 testing/libzip/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/libzip/APKBUILD
diff --git a/testing/libzip/APKBUILD b/testing/libzip/APKBUILD
new file mode 100644
index 0000000..0280402
--- /dev/null
+++ b/testing/libzip/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Andrew Domaszek <brimston3_at_hg0.us>
+# Maintainer:
+pkgname="libzip"
+pkgver="1.1.3"
+pkgrel=0
+pkgdesc="C library for handling zip archives"
+url="https://nih.at/libzip/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="perl"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://nih.at/$pkgname/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE || return 1
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="898f02db185068c8ae45bafe4c5cc81c  libzip-1.1.3.tar.gz"
+sha256sums="1faa5a524dd4a12c43b6344e618edce1bf8050dfdb9d0f73f3cc826929a002b0  libzip-1.1.3.tar.gz"
+sha512sums="8534b48d2f1498b741925dbdf7510ebbdfb9773b5266ec28b1eb22b8f1a39e7ba44d225dae7d5dc265415a30e5b5295e7061e5c97698834405ce97ef08b97326  libzip-1.1.3.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 07 2016 - 05:30:00 GMT